local addon = PvPTimer

local spells = {
	-- Berserk
	[50334] = {
		class = 'DRUID',
		spec = 2,
		duration = 15,
		duration_g = 10,
		cooldown = 180,
		type = 'offensive',
	},
	-- Tiger's Fury
	[5217] = {
		class = 'DRUID',
		duration = 6,
		cooldown = 30,
		cooldown_g = -3,
		type = 'offensive',
	},
	-- Force of Nature
	[33831] = {
		class = 'DRUID',
		spec = 1,
		duration = 30,
		cooldown = 180,
		type = 'offensive',
	},
	-- Starfall
	[48505] = {
		class = 'DRUID',
		spec = 1,
		duration = 10,
		cooldown = 90,
		cooldown_g = -30,
		type = 'offensive',
	},
	-- Frenzied Regeneration
	[22842] = {
		class = 'DRUID',
		duration = 20,
		cooldown = 180,
		type = 'defensive',
	},
	-- Survival Instincts
	[61336] = {
		class = 'DRUID',
		spec = 2,
		duration = 12,
		cooldown = 180,
		type = 'defensive',
	},
	-- Barkskin
	[22812] = {
		class = 'DRUID',
		duration = 12,
		cooldown = 60,
		type = 'defensive',
	},
	-- Tree of Life
	[33891] = {
		class = 'DRUID',
		spec = 3,
		duration = 25,
		cooldown = 180,
		type = 'defensive',
	},
	-- Bash
	[5211] = {
		class = 'DRUID',
		duration = 4,
		duration_s2 = 1,
		cooldown = 60,
		cooldown_s2 = -10,
		type = 'cc',
	},
	-- Skull Bash
	[80965] = 80964,
	[80964] = {
		class = 'DRUID',
		cooldown = 60,
		cooldown_s2 = -50,
		type = 'interrupt',
	},
	-- Feral Charge - Bear
	[16979] = {
		class = 'DRUID',
		spec = 2,
		cooldown = 15,
		type = 'root',
	},
	-- Feral Charge - Cat
	[49376] = {
		class = 'DRUID',
		spec = 2,
		duration = 3,
		cooldown = 30,
		type = 'root',
	},
	-- Solar Beam
	[78675] = {
		class = 'DRUID',
		spec = 1,
		duration = 10,
		duration_g = 5,
		cooldown = 60,
		type = 'interrupt',
	},
	-- Nature's Grasp
	[16689] = {
		class = 'DRUID',
		duration = 45,
		cooldown = 60,
		type = 'defensive',
	},
	-- Innervate
	[29166] = {
		class = 'DRUID',
		duration = 10,
		cooldown = 180,
		type = 'misc',
	},
	-- Typhoon
	[50516] = {
		class = 'DRUID',
		spec = 1,
		duration = 6,
		cooldown = 20,
		cooldown_g = -3,
		type = 'root',
	},
	-- Dash
	[1850] = {
		class = 'DRUID',
		duration = 15,
		cooldown = 180,
		cooldown_g = -36, -- 180 - 20%
		type = 'misc',
	},
	-- Stampeding Roar
	[77761] = 77764,
	[77764] = {
		class = 'DRUID',
		duration = 8,
		cooldown = 120,
		type = 'misc',
	},
	-- Tranquility
	[740] = {
		class = 'DRUID',
		duration = 8,
		cooldown = 480,
		cooldown_s3 = -300,
		type = 'defensive',
	},
	-- Nature's Swiftness
	[17116] = {
		class = 'DRUID',
		spec = 3,
		cooldown = 180,
		type = 'misc',
	},
	-- Swiftmend
	[18562] = {
		class = 'DRUID',
		spec = 3,
		cooldown = 15,
		type = 'defensive',
	},
}

local spec = {
	-- Starsurge
	[78674] = 1,
	-- Mangle
	[33917] = 2,
	-- Sunfire
	[93402] = 1,
	-- Moonkin Form
	[24858] = 1,
	-- Pulverize
	[80313] = 2,
	-- Wild Growth
	[48438] = 3,
}

local hs = addon.Spells
for k, v in pairs(spells) do hs[k] = v end

local ss = addon.SpecSpells
for k, v in pairs(spec) do ss[k] = v end
